summary refs log tree commit diff
path: root/.ci
diff options
context:
space:
mode:
authorRichard van der Hoff <1389908+richvdh@users.noreply.github.com>2021-08-23 11:12:45 +0100
committerGitHub <noreply@github.com>2021-08-23 11:12:45 +0100
commit4db65f911ab338ea2a9465f3ee8bee3832bd0346 (patch)
tree568804173ea3f21b37467d6145160ead6cf547eb /.ci
parentImplement MSC3231: Token authenticated registration (#10142) (diff)
downloadsynapse-4db65f911ab338ea2a9465f3ee8bee3832bd0346.tar.xz
Run a nightly CI build against Twisted trunk. (#10651)
This creates a GHA workflow which runs at 8am every day, and runs mypy, trial and sytest against Twisted's current trunk. If any of the jobs fail, it opens an issue.
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/patch_for_twisted_trunk.sh8
-rw-r--r--.ci/twisted_trunk_build_failed_issue_template.md4
2 files changed, 12 insertions, 0 deletions
diff --git a/.ci/patch_for_twisted_trunk.sh b/.ci/patch_for_twisted_trunk.sh
new file mode 100755
index 0000000000..f524581986
--- /dev/null
+++ b/.ci/patch_for_twisted_trunk.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# replaces the dependency on Twisted in `python_dependencies` with trunk.
+
+set -e
+cd "$(dirname "$0")"/..
+
+sed -i -e 's#"Twisted.*"#"Twisted @ git+https://github.com/twisted/twisted"#' synapse/python_dependencies.py
diff --git a/.ci/twisted_trunk_build_failed_issue_template.md b/.ci/twisted_trunk_build_failed_issue_template.md
new file mode 100644
index 0000000000..2ead1dc394
--- /dev/null
+++ b/.ci/twisted_trunk_build_failed_issue_template.md
@@ -0,0 +1,4 @@
+---
+title: CI run against Twisted trunk is failing
+---
+See https://github.com/{{env.GITHUB_REPOSITORY}}/actions/runs/{{env.GITHUB_RUN_ID}}